Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLObjectElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLObjectElement
extends HTMLElement

Generic embedded object. Note. In principle, allproperties on the object element are read-write but in someenvironments some properties may be read-only once the underlyingobject is instantiated. See the OBJECT element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getArchive()` Space-separated list of archives.
`java.lang.String` | `getBorder()` Width of border around the object.
`java.lang.String` | `getCode()` Applet class file.
`java.lang.String` | `getCodeBase()` Base URI for `classid`, `data`, and `archive` attributes.
`java.lang.String` | `getCodeType()` Content type for data downloaded via `classid` attribute.
`java.lang.String` | `getData()` A URI specifying the location of the object's data.
`boolean` | `getDeclare()` Declare (for future reference), but do not instantiate, thisobject.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.
`java.lang.String` | `getHeight()` Override height.
`java.lang.String` | `getHspace()` Horizontal space to the left and right of this image, applet, or object.
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`java.lang.String` | `getStandby()` Message to render while loading the object.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` Content type for data downloaded via `data` attribute.
`java.lang.String` | `getUseMap()` Use client-side image map.
`java.lang.String` | `getVspace()` Vertical space above and below this image, applet, or object.
`java.lang.String` | `getWidth()` Override width.
`void` | `setAlign(java.lang.String align)`
`void` | `setArchive(java.lang.String archive)`
`void` | `setBorder(java.lang.String border)`
`void` | `setCode(java.lang.String code)`
`void` | `setCodeBase(java.lang.String codeBase)`
`void` | `setCodeType(java.lang.String codeType)`
`void` | `setData(java.lang.String data)`
`void` | `setDeclare(boolean declare)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setName(java.lang.String name)`
`void` | `setStandby(java.lang.String standby)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setType(java.lang.String type)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getForm

    public HTMLFormElement getForm()

  Returns the `FORM` element containing this control.Returns null if this control is not within the context of a form.

### getCode

    public java.lang.String getCode()

  Applet class file. See the `code` attribute for HTMLAppletElement.

### setCode

    public void setCode(java.lang.String code)

### getAlign

    public java.lang.String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

    public void setAlign(java.lang.String align)

### getArchive

    public java.lang.String getArchive()

  Space-separated list of archives. See the archive attribute definition in HTML 4.0.

### setArchive

    public void setArchive(java.lang.String archive)

### getBorder

    public java.lang.String getBorder()

  Width of border around the object. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBorder

    public void setBorder(java.lang.String border)

### getCodeBase

    public java.lang.String getCodeBase()

  Base URI for `classid`, `data`, and `archive` attributes. See the codebase attribute definition in HTML 4.0.

### setCodeBase

    public void setCodeBase(java.lang.String codeBase)

### getCodeType

    public java.lang.String getCodeType()

  Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.0.

### setCodeType

    public void setCodeType(java.lang.String codeType)

### getData

    public java.lang.String getData()

  A URI specifying the location of the object's data. See the data attribute definition in HTML 4.0.

### setData

    public void setData(java.lang.String data)

### getDeclare

    public boolean getDeclare()

  Declare (for future reference), but do not instantiate, thisobject. See the declare attribute definition in HTML 4.0.

### setDeclare

    public void setDeclare(boolean declare)

### getHeight

    public java.lang.String getHeight()

  Override height. See the height attribute definition in HTML 4.0.

### setHeight

    public void setHeight(java.lang.String height)

### getHspace

    public java.lang.String getHspace()

  Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHspace

    public void setHspace(java.lang.String hspace)

### getName

    public java.lang.String getName()

  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

### setName

    public void setName(java.lang.String name)

### getStandby

    public java.lang.String getStandby()

  Message to render while loading the object. See the standby attribute definition in HTML 4.0.

### setStandby

    public void setStandby(java.lang.String standby)

### getTabIndex

    public int getTabIndex()

  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

    public void setTabIndex(int tabIndex)

### getType

    public java.lang.String getType()

  Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.0.

### setType

    public void setType(java.lang.String type)

### getUseMap

    public java.lang.String getUseMap()

  Use client-side image map. See the usemap attribute definition in HTML 4.0.

### setUseMap

    public void setUseMap(java.lang.String useMap)

### getVspace

    public java.lang.String getVspace()

  Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setVspace

    public void setVspace(java.lang.String vspace)

### getWidth

    public java.lang.String getWidth()

  Override width. See the width attribute definition in HTML 4.0.

### setWidth

    public void setWidth(java.lang.String width)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.